Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047188 - SELinux is preventing /usr/lib64/xulrunner/plugin-container from using the 'transition' accesses on a process.
Summary: SELinux is preventing /usr/lib64/xulrunner/plugin-container from using the 't...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6aff9b4e02a24811276521b1c2a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-29 22:06 UTC by Robert Hancock
Modified: 2014-01-06 09:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-06 09:39:50 UTC
Type: ---


Attachments (Terms of Use)

Description Robert Hancock 2013-12-29 22:06:59 UTC
Description of problem:
Attempted to watch Flash video on YouTube
SELinux is preventing /usr/lib64/xulrunner/plugin-container from using the 'transition' accesses on a process.

*****  Plugin mozplugger (99.1 confidence) suggests   ************************

If you want to use the spice-xpi package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests   **************************

If you believe that plugin-container should be allowed transition access on processes labeled mozilla_plugin_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1
                              023
Target Objects                /usr/bin/pulseaudio [ process ]
Source                        plugin-containe
Source Path                   /usr/lib64/xulrunner/plugin-container
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xulrunner-26.0-2.fc20.x86_64
Target RPM Packages           pulseaudio-4.0-9.gitf81e3.fc20.x86_64
Policy RPM                    selinux-policy-3.12.1-106.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.12.5-302.fc20.x86_64 #1 SMP Tue
                              Dec 17 20:42:32 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-12-29 16:03:11 CST
Last Seen                     2013-12-29 16:04:14 CST
Local ID                      64a20c8d-4204-4b8f-9c64-789c79ff48e6

Raw Audit Messages
type=AVC msg=audit(1388354654.113:8915): avc:  denied  { transition } for  pid=1015 comm="plugin-containe" path="/usr/bin/pulseaudio" dev="dm-1" ino=2362050 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:system_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=process


type=SYSCALL msg=audit(1388354654.113:8915): arch=x86_64 syscall=execve success=no exit=EACCES a0=7fb51094fb20 a1=7fffb3787380 a2=7fb51ed7f800 a3=7fb51094f040 items=0 ppid=670 pid=1015 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=367 tty=(none) comm=plugin-containe exe=/usr/lib64/xulrunner/plugin-container subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: plugin-containe,mozilla_plugin_t,mozilla_plugin_t,process,transition

Additional info:
reporter:       libreport-2.1.10
hashmarkername: setroubleshoot
kernel:         3.12.5-302.fc20.x86_64
type:           libreport

Potential duplicate: bug 885834

Comment 1 Daniel Walsh 2014-01-03 18:12:22 UTC
Did you get this right after update?

Comment 2 Robert Hancock 2014-01-04 07:50:05 UTC
I think so. After a reboot this didn't seem to show up any more.

Comment 3 Miroslav Grepl 2014-01-06 09:39:50 UTC
Ok. It was an update issue.


Note You need to log in before you can comment on or make changes to this bug.